LibreOffice: XDocumentBuilder Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XDocumentBuilder Interface Reference

Builds a new dom tree. More...

`import "XDocumentBuilder.idl";`

Inheritance diagram for XDocumentBuilder:

## Public Member Functions
XDOMImplementation | getDOMImplementation ()
| Obtain an instance of a DOMImplementation object.
boolean | isNamespaceAware ()
| Indicates whether or not this parser is configured to understand namespaces.
boolean | isValidating ()
| Indicates whether or not this parser is configured to validate XML documents.
XDocument | newDocument ()
| Obtain a new instance of a DOM Document object to build a DOM tree with.
XDocument | parse ([in] com::sun::star::io::XInputStream is) raises ( com::sun::star::xml::sax::SAXException, com::sun::star::io::IOException )
| Parse the content of the given InputStream as an XML document and return a new DOM Document object.
XDocument | parseURI ([in] string uri) raises ( com::sun::star::xml::sax::SAXException, com::sun::star::io::IOException )
| Parse the content of the given URI as an XML document and return a new DOM Document object.
void | setEntityResolver ([in] com::sun::star::xml::sax::XEntityResolver er)
| Specify the EntityResolver to be used to resolve entities present in the XML document to be parsed.
void | setErrorHandler ([in] com::sun::star::xml::sax::XErrorHandler eh)
| Specify the ErrorHandler to be used to report errors present in the XML document to be parsed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Builds a new dom tree.

## Member Function Documentation

## ◆ getDOMImplementation()

XDOMImplementation getDOMImplementation | ( |  | ) |

Obtain an instance of a DOMImplementation object.

## ◆ isNamespaceAware()

boolean isNamespaceAware | ( |  | ) |

Indicates whether or not this parser is configured to understand namespaces.

## ◆ isValidating()

boolean isValidating | ( |  | ) |

Indicates whether or not this parser is configured to validate XML documents.

## ◆ newDocument()

XDocument newDocument | ( |  | ) |

Obtain a new instance of a DOM Document object to build a DOM tree with.

## ◆ parse()

XDocument parse | ( | [in] com::sun::star::io::XInputStream | is | ) |
raises | ( | com::sun::star::xml::sax::SAXException,
|  | com::sun::star::io::IOException ) |  |  |

Parse the content of the given InputStream as an XML document and return a new DOM Document object.

## ◆ parseURI()

XDocument parseURI | ( | [in] string | uri | ) |
raises | ( | com::sun::star::xml::sax::SAXException,
|  | com::sun::star::io::IOException ) |  |  |

Parse the content of the given URI as an XML document and return a new DOM Document object.

## ◆ setEntityResolver()

void setEntityResolver | ( | [in] com::sun::star::xml::sax::XEntityResolver | er | ) |

Specify the EntityResolver to be used to resolve entities present in the XML document to be parsed.

## ◆ setErrorHandler()

void setErrorHandler | ( | [in] com::sun::star::xml::sax::XErrorHandler | eh | ) |

Specify the ErrorHandler to be used to report errors present in the XML document to be parsed.

The documentation for this interface was generated from the following file:

- com/sun/star/xml/dom/XDocumentBuilder.idl